E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::SocketProtocolImp::Position Struct Reference

A pointer into the scatter/gather payload of GNet::SocketProtocolImp::send(). More...

## Public Member Functions
| Position (std::size_t segment_, std::size_t offset_)

## Public Attributes
std::size_t | segment {0U}
std::size_t | offset {0U}

## Detailed Description

A pointer into the scatter/gather payload of GNet::SocketProtocolImp::send().

Definition at line 46 of file gsocketprotocol.cpp.

## Constructor & Destructor Documentation

## ◆ Position()

GNet::SocketProtocolImp::Position::Position | ( | std::size_t | segment_,
|  | std::size_t | offset_
| ) |  |
| inline

Definition at line 50 of file gsocketprotocol.cpp.

## Member Data Documentation

## ◆ offset

std::size_t GNet::SocketProtocolImp::Position::offset {0U}

Definition at line 49 of file gsocketprotocol.cpp.

## ◆ segment

std::size_t GNet::SocketProtocolImp::Position::segment {0U}

Definition at line 48 of file gsocketprotocol.cpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gsocketprotocol.cpp